summaryrefslogtreecommitdiffstats
path: root/network/nsca/nsca.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/nsca/nsca.SlackBuild')
-rw-r--r--network/nsca/nsca.SlackBuild112
1 files changed, 112 insertions, 0 deletions
diff --git a/network/nsca/nsca.SlackBuild b/network/nsca/nsca.SlackBuild
new file mode 100644
index 0000000000..b5fdf65330
--- /dev/null
+++ b/network/nsca/nsca.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for nsca
+# Written by Bas Couwenberg <sebastic@xs4all.nl>
+
+PRGNAM=nsca
+VERSION=${VERSION:-2.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Bail out if user or group isn't valid on your system
+# For slackbuilds.org, assigned nagios uid/gid are 213/213
+# See http://slackbuilds.org/uid_gid.txt
+if ! getent group nagios 2>&1 > /dev/null; then
+ echo " You must have a \"nagios\" group to run this script."
+ echo " # groupadd -g 213 nagios"
+ exit 1
+elif ! getent passwd nagios 2>&1 > /dev/null; then
+ echo " You must have a \"nagios\" user to run this script."
+ echo " # useradd -u 213 -g nagios -d /usr/nagios -s /bin/false nagios"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec/nagios \
+ --sysconfdir=/etc/nagios \
+ --localstatedir=/var/nagios \
+ --mandir=/usr/man \
+ --with-nsca-user=nagios \
+ --with-nsca-group=nagios \
+ --with-nsca-port=5667 \
+ --with-nagios-user=nagios \
+ --with-nagios-group=nagios \
+ --build=$ARCH-slackware-linux
+
+make all
+# make install does nothing, manual installation is required
+mkdir -p $PKG/usr/sbin
+cp -a src/send_nsca $PKG/usr/sbin
+cp -a src/nsca $PKG/usr/sbin
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/etc/nagios
+# nsca.cfg should contain the following configuration to match the nagios SlackBuild defaults:
+# command_file=/var/nagios/rw/nagios.cmd
+# alternate_dump_file=/var/nagios/rw/nsca.dump
+cat sample-config/nsca.cfg > $PKG/etc/nagios/nsca.cfg.new
+cat sample-config/send_nsca.cfg > $PKG/etc/nagios/send_nsca.cfg.new
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.nsca > $PKG/etc/rc.d/rc.nsca.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README SECURITY LEGAL Changelog sample-config \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}